<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::VisualizerUtilities Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_developer.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For C++ developers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1VisualizerUtilities.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1VisualizerUtilities-members.html">List of all members</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::VisualizerUtilities Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a9a14a1184f86e53f9cbbaa64d64a39ad"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1VisualizerUtilities.html#a9a14a1184f86e53f9cbbaa64d64a39ad">showModel</a> (<a class="el" href="classOpenSim_1_1Model.html">Model</a>)</td></tr>
<tr class="memdesc:a9a14a1184f86e53f9cbbaa64d64a39ad"><td class="mdescLeft">&#160;</td><td class="mdescRight">Visualize the passed in model in a simbody-visualizer window.  <a href="classOpenSim_1_1VisualizerUtilities.html#a9a14a1184f86e53f9cbbaa64d64a39ad">More...</a><br /></td></tr>
<tr class="separator:a9a14a1184f86e53f9cbbaa64d64a39ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81470d257b978f11f1eb8996baa51502"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1VisualizerUtilities.html#a81470d257b978f11f1eb8996baa51502">showMarkerData</a> (const <a class="el" href="namespaceOpenSim.html#aca67cce5245fc8a1ac274999aa98deb6">TimeSeriesTableVec3</a> &amp;)</td></tr>
<tr class="memdesc:a81470d257b978f11f1eb8996baa51502"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show markers with time histories specified by the passed in TimeSeriesTableVec3.  <a href="classOpenSim_1_1VisualizerUtilities.html#a81470d257b978f11f1eb8996baa51502">More...</a><br /></td></tr>
<tr class="separator:a81470d257b978f11f1eb8996baa51502"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a8c7d86217ccc1a379d5f89d6963c6d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1VisualizerUtilities.html#a5a8c7d86217ccc1a379d5f89d6963c6d">showOrientationData</a> (const <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html">TimeSeriesTable_</a>&lt; SimTK::Quaternion_&lt; double &gt;&gt; &amp;, std::string layout=&quot;line&quot;, const <a class="el" href="classOpenSim_1_1Model.html">Model</a> *modelForPose=nullptr)</td></tr>
<tr class="memdesc:a5a8c7d86217ccc1a379d5f89d6963c6d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Show frames with time histories specified by the passed in TimeSeriesTableQuaternion.  <a href="classOpenSim_1_1VisualizerUtilities.html#a5a8c7d86217ccc1a379d5f89d6963c6d">More...</a><br /></td></tr>
<tr class="separator:a5a8c7d86217ccc1a379d5f89d6963c6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">Visualize a motion of a model using the simbody-visualizer</div></td></tr>
<tr class="memitem:aa93dfaacda31fea3d15f8be63984624b"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1VisualizerUtilities.html#aa93dfaacda31fea3d15f8be63984624b">showMotion</a> (<a class="el" href="classOpenSim_1_1Model.html">Model</a>, <a class="el" href="namespaceOpenSim.html#a39e2414750443cfa41c224f5cdd31bac">TimeSeriesTable</a>)</td></tr>
<tr class="memdesc:aa93dfaacda31fea3d15f8be63984624b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Play back an existing motion (from the table) in the simbody-visualizer.  <a href="classOpenSim_1_1VisualizerUtilities.html#aa93dfaacda31fea3d15f8be63984624b">More...</a><br /></td></tr>
<tr class="separator:aa93dfaacda31fea3d15f8be63984624b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a81470d257b978f11f1eb8996baa51502"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81470d257b978f11f1eb8996baa51502">&#9670;&nbsp;</a></span>showMarkerData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void OpenSim::VisualizerUtilities::showMarkerData </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOpenSim.html#aca67cce5245fc8a1ac274999aa98deb6">TimeSeriesTableVec3</a> &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Show markers with time histories specified by the passed in TimeSeriesTableVec3. </p>
<p>Visualization is shown in the simbody visualizer. <a class="el" href="classOpenSim_1_1Function.html" title="An abstract class for representing a function.">Function</a> blocks waiting for user to hit a key to start. </p>

</div>
</div>
<a id="a9a14a1184f86e53f9cbbaa64d64a39ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a14a1184f86e53f9cbbaa64d64a39ad">&#9670;&nbsp;</a></span>showModel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void OpenSim::VisualizerUtilities::showModel </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Model.html">Model</a>&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Visualize the passed in model in a simbody-visualizer window. </p>
<p>This function blocks until the user exits the simbody-visualizer window. <br  />
 </p>

</div>
</div>
<a id="aa93dfaacda31fea3d15f8be63984624b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa93dfaacda31fea3d15f8be63984624b">&#9670;&nbsp;</a></span>showMotion()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void OpenSim::VisualizerUtilities::showMotion </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOpenSim_1_1Model.html">Model</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOpenSim.html#a39e2414750443cfa41c224f5cdd31bac">TimeSeriesTable</a>&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Play back an existing motion (from the table) in the simbody-visualizer. </p>
<p>The <a class="el" href="classOpenSim_1_1Storage.html" title="A class for storing an array of statevectors.">Storage</a> should contain all generalized coordinates. The visualizer window allows the user to control playback speed. This function blocks until the user exits the simbody-visualizer window. </p>

</div>
</div>
<a id="a5a8c7d86217ccc1a379d5f89d6963c6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a8c7d86217ccc1a379d5f89d6963c6d">&#9670;&nbsp;</a></span>showOrientationData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void OpenSim::VisualizerUtilities::showOrientationData </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1TimeSeriesTable__.html">TimeSeriesTable_</a>&lt; SimTK::Quaternion_&lt; double &gt;&gt; &amp;&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>layout</em> = <code>&quot;line&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOpenSim_1_1Model.html">Model</a> *&#160;</td>
          <td class="paramname"><em>modelForPose</em> = <code>nullptr</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Show frames with time histories specified by the passed in TimeSeriesTableQuaternion. </p>
<p>Visualization is shown in the simbody visualizer.</p><ul>
<li>layout options: -'line' default layout frames in a row along Z axis -'circle' frames laid out around a half-circle in the Y-Z plane -'model' Load passed in model and overlay frames at origins of corresponding bodies at default pose. Must have invoked initSystem() on the model.</li>
</ul>
<p><a class="el" href="classOpenSim_1_1Function.html" title="An abstract class for representing a function.">Function</a> blocks waiting for user to hit a key to start. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Simulation/VisualizerUtilities.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1VisualizerUtilities.html">VisualizerUtilities</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:32 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
